Bug 884615 - RFE: Provide list of packages installed on top of the system
Summary: RFE: Provide list of packages installed on top of the system
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Holy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 12:12 UTC by Vít Ondruch
Modified: 2015-10-06 02:14 UTC (History)
3 users (show)

Fixed In Version: dnf-0.4.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-14 02:45:04 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (555.63 KB, image/png)
2013-12-05 05:10 UTC, lnie
no flags Details

Description Vít Ondruch 2012-12-06 12:12:13 UTC
It would be nice if DNF could provide list of packages installed on top of the system. E.g.

1) I have fresh installed system,
2) I do "yum install ruby",
3) DNF would return 'ruby'.
4) If I uninstall Ruby, the list would be empty.

Note that the list does not contain any dependencies which might be installed to install Ruby.

This list of the packages would be useful to replicate the system settings on another computer. For me particularly, it would be helpfull during updates of Fedora. I like to do Fresh install of Fedora + N and it would help me to quickly install the same packages I am used to use on the old system.

Comment 1 Ales Kozumplik 2012-12-12 08:12:41 UTC
Hi, I remember we talked about this, thanks for opening a bugzilla.

Comment 2 Vít Ondruch 2013-06-12 11:55:01 UTC
This blog post [1] caught my eyes. Unfortunately, it lists also packages installed by Anaconda, so it is not exactly what I am looking for.


[1] http://blog.christophersmart.com/2013/06/12/how-to-list-packages-you-have-explicitly-installed-using-yum/

Comment 3 Ales Kozumplik 2013-09-18 07:29:23 UTC
Assigning to Radek.

Radek, the information can be dug out from the history database which you're already working on.

Comment 4 Ales Kozumplik 2013-09-18 07:30:12 UTC
(also see bug 1009283)

Comment 5 Radek Holy 2013-11-27 13:19:53 UTC
Added as new "history userinstalled" command by 358d7455f56ff9d3ae8be71124e5e86fecd472be on master.

Comment 6 Fedora Update System 2013-12-03 16:39:38 UTC
dnf-0.4.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.9-1.fc20

Comment 7 Fedora Update System 2013-12-03 18:20:21 UTC
Package dnf-0.4.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22638/dnf-0.4.9-1.fc20
then log in and leave karma (feedback).

Comment 8 lnie 2013-12-05 05:10:47 UTC
Created attachment 833003 [details]
screenshot

Comment 9 lnie 2013-12-05 05:15:30 UTC
As you can seen from the screenshot,"dnf history userinstalled"dosen't work,
I do have xchat and libvirt installed.

Comment 10 Radek Holy 2013-12-06 12:07:21 UTC
Hello, thank you for the testing. It seems that DNF is not able to find the installation reason of packages installed before the last installation. Would you please open a new bugzilla?

Comment 11 lnie 2013-12-09 04:06:38 UTC
opened one,#bug1039415

Comment 12 Fedora Update System 2013-12-14 02:45:04 UTC
dnf-0.4.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.